Qt Cryptographic Architecture: QCA::DLGroupContext Class Reference

Qt Cryptographic Architecture

Signals | Public Member Functions | List of all members
QCA::DLGroupContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::DLGroupContext:
[legend]

## Signals
void | finished ()

## Public Member Functions
| DLGroupContext (Provider *p)
virtual void | fetchGroup (DLGroupSet set, bool block)=0
virtual void | getResult (BigInteger *p, BigInteger *q, BigInteger *g) const =0
virtual bool | isNull () const =0
virtual QList< DLGroupSet > | supportedGroupSets () const =0

## Detailed Description

Discrete logarithm provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want DLGroup instead.

## Constructor & Destructor Documentation

## ◆ DLGroupContext()

QCA::DLGroupContext::DLGroupContext | ( | Provider * | p | ) |
| inline

Standard constructor.

Parameters

  p | the provider associated with this context

## Member Function Documentation

## ◆ supportedGroupSets()

virtual QList<DLGroupSet> QCA::DLGroupContext::supportedGroupSets | ( |  | ) | const
| pure virtual

The DLGroupSets supported by this object.

## ◆ isNull()

virtual bool QCA::DLGroupContext::isNull | ( |  | ) | const
| pure virtual

Returns true if there is a result to obtain.

## ◆ fetchGroup()

virtual void QCA::DLGroupContext::fetchGroup | ( | DLGroupSet | set,
|  | bool | block
| ) |  |
| pure virtual

Attempt to create P, Q, and G values from the specified group set.

If block is true, then this function blocks until completion. Otherwise, this function returns immediately and finished() is emitted when the operation completes.

If an error occurs during generation, then the operation will complete and isNull() will return true.

Parameters

  set | the group set to generate the key from
  block | whether to block (true) or not (false)

## ◆ getResult()

virtual void QCA::DLGroupContext::getResult | ( | BigInteger * | p,
|  | BigInteger * | q,
|  | BigInteger * | g
| ) |  | const
| pure virtual

Obtain the result of the operation.

Ensure isNull() returns false before calling this function.

Parameters

  p | the P value
  q | the Q value
  g | the G value

## ◆ finished

void QCA::DLGroupContext::finished | ( |  | ) |
| signal

Emitted when the fetchGroup() operation completes in non-blocking mode.

The documentation for this class was generated from the following file:

- qcaprovider.h